body{
    font-family: 'Montserrat', sans-serif;
    margin: 0;
    background-color: black;
    color:white;
    overflow: hidden;
}
.main{
    padding: 0.7rem;
    display: flex;
    height:100vh;
}
.sidebar{
    background-color:  black;
    width:340px;
    border-radius: 1rem;
    margin-right: 0.5rem;
}
.main-content{
    background-color:#121212 ;
    flex: 1;
    border-radius: 1rem;
    overflow: auto;
    padding: 0 1.5rem 0 1.5rem;
}
.music-player{
    background-color: black;
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 72px;
}
a{
    text-decoration: none;
    color: white;
}
.nav{
    background-color:#121212;
    border-radius: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100px;
    padding: 0.5rem 0.75rem;
}
.nav-option{
    line-height: 2.5rem;
    opacity: 0.7;
    padding: 0.5rem 0.75rem;
}
.nav-option:hover{
    opacity: 1;
}
.nav-option i {
    font-size: 1.25rem;
}
.nav-option a{
    font-size: 1rem;
}
.library{
    background-color: #121212;
    border-radius: 1rem;
    height: 100%;
    margin-top: 0.5rem;
    padding: 0.5rem 0.75rem;
}
.options{
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #121212;
}
.lib-option img{
    height: 1.25rem;
    width: 1.25rem;
}
.icons{
    font-size: 1.25rem;
    display: flex;
}
.icons i{
    opacity: 0.7;
    margin-right: 1rem;
}
.icons i:hover{
    opacity: 1;
}
.box{
    background-color: #232323;
    height: 8rem;
    border-radius: 0.75rem;
    margin: 0.5rem 0 0.5rem 0;
    padding: 1rem 1.25rem ;
}
.box-p1{
    font-size: 1rem;
    font-weight: 500;
    /* padding: 0.5rem; */
}
.box-p2{
    font-size: 0.75rem;
    opacity: 0.9;
    /* padding: 0.5rem; */
    margin-top: 0;
}
.badge{
    background-color: white;
    border: none;
    border-radius: 100px;
    padding: 0.25rem 1rem;
    font-weight: 600;
    margin-top: 0.5rem;
    height:fit-content;
    width: fit-content;
    color: black;
}
.dark-badge{
    background-color: black;
    color: white;
}
.badge:hover{
    font-size:15px ;
    transition: ease-in;
    margin-top: 0.4rem;
    padding: 0.22rem 0.8rem;
   }
.sticky-nav{
    position: sticky;
    top: 0;
    background-color: #121212;
    display: flex;
    justify-content:space-between;
    align-items: center;
    padding: 1rem 0 1rem 0;
    z-index: 10;
}
.sticky-nav-icons{
    margin-left: 0.75rem;
    justify-content: space-between;
}
.back{
    background-color: black;
    border-radius: 100%;
    padding: 0.25rem;
}
.forward{ background-color: black;
    border-radius: 100%;
    padding: 0.25rem;

}
.sticky-nav-options{
    display: flex;
    justify-content: center;
    align-items: center;
}
.nav-item{
    margin-right: 1rem;
}
@media(max-width:1000px){
    .hide{
        display: none;
    }
}
.card{
    background-color: #161616;
    width: 150px;
    border-radius: 0.5rem;
    padding: 1rem;
    margin-left: 1.5rem;
    margin-top: 1rem;
}
.card-container{
    display: flex;
    flex-wrap: wrap;
}
.card-img{
    width: 100%;
    border-radius: 0.5rem;
}
.card-title{
    font-weight: 600;
}
.card-info{
    opacity: 0.8;
    font-size: 0.85rem;
}
.footer{
    height: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.line{
    height: 30%;
    width: 90%;
    border-top: solid white;
    opacity: 0.45;
}
.play-buttn{
    background-color:#5ef550 ;
    display: flex;
opacity: 0;
    height: 45px;
    width: 45px;
    border-radius: 50%;
    justify-content: center;
    align-items: center;
}
.card{
    position: relative;

}
.card .play-buttn{
    position: absolute;
    top: 45%;
    left: 60%;

}
.card:hover{
    background-color: #242424;;

    .play-buttn{
        opacity: 1;
        transition: 0.2s ease-in;
        top: 40%;
    left: 60%;
    }
}
.play-buttn:hover{
    transition: linear;
    height: 47px;
    width: 47px;
   }
   .music-player{
    display: flex;
   }
   .album{
    width: 25%;
   }
   .player{
    width: 50%;
   }
   .controls{
    width:25%;
    padding: 0.5rem 0.5rem 0.5rem 0;
    display: flex;
    justify-content: center;
    align-items: center;
   }
 .player-controls{
    display: flex;
    justify-content: center;
    align-items: center;
 }
 .player-controls-icon{
    height: 1rem;
    margin-right: 1.75rem;
    opacity: 0.7;
 }
 .player-controls-icon:hover{
    opacity: 1;
 }
 .playback-bar{
    padding: 1rem;
    padding-top: 0.5rem;
 }
 .progress-bar{
    align-items: center;
    padding-left: 1rem;
    /* display: flex;
    justify-content: center;
    align-items: center; */
    width: 70%;
    appearance: none;
    background-color: transparent;
    cursor: pointer;
 }
 .progress-bar::-webkit-slider-runnable-track{
    background-color: #ddd;
    border-radius: 100px;
    height: 0.2rem;
 }
 .progress-bar::-webkit-slider-thumb{
    appearance: none;
    height: 16px;
    width: 16px;
    background-color: #1bd760;
    border-radius: 50%;
    margin: -6px;
 }
 .album{
    display: flex;
 }
 .album-img{
    width: 20%
 }
 .album-image{
    padding: 0.5rem 0.5rem 0.5rem 0.5rem;
    height: 60px;
    width: 60px;
 }
 .album-heading{
    width: 40%;
    padding: 0.1rem ;
    font-weight: 100;
    font-size: smaller;
 }
  .album-paragraph{
    opacity: 0.5;
    margin: 0;
    padding: 0;
 }
.album-icon{
    width: 40%;
    
padding: 1.5rem 2rem 2rem 0.5rem;

}
.heart{
    margin-top: 1px;
    opacity: 0.7;
    height: 2rem;

}



.controls i{
    padding: 0.9rem;
    justify-content: center;
    align-items: center;
    opacity: 0.7;

}
.sound-bar{
    padding-left:0;
    appearance: none;
    background-color: transparent;
    cursor: pointer;
    padding-right: 1rem;
 }
 .sound-bar::-webkit-slider-runnable-track{
    background-color: #ddd;
    border-radius: 100px;
    height: 0.2rem;
 }
 .sound-bar::-webkit-slider-thumb{
    appearance: none;
    height: 16px;
    width: 16px;
    background-color:blue;
    border-radius: 50%;
    margin: -6px;}
    .controls i:hover{
        opacity: 1;
    }